QR Code Generator (Free, Never Expires)
Make static QR codes for links, text, email, phone, SMS, vCard contacts, map locations and events. Add a logo, pick colours, download PNG or SVG.
Design and size
Error correction stays at H while there is a logo.
PNG, JPG, WebP, GIF or SVG. You can also drop it on the page.
How to make a QR code
Choose what the code should contain, fill in the fields, and the preview updates as you type. Scan the preview with your phone before you download it. Download PNG for web pages, documents and slides, and Download SVG for print, because a vector file stays sharp at any size.
What each type puts inside the code
A QR code only stores text. Your phone decides what to offer from the way that text is written:
| Type | Text inside the code | What the phone offers |
|---|---|---|
| Link | https://example.com/ |
Open the page |
mailto:ana@example.com?subject=Hi |
Write an email | |
| Phone | tel:+15551234567 |
Call the number |
| SMS | SMSTO:+15551234567:Hello |
Send a text message |
| Contact | a vCard 3.0 block, BEGIN:VCARD … END:VCARD |
Save the contact |
| Location | geo:48.8584,2.2945 |
Open a map |
| Event | an iCalendar BEGIN:VEVENT … END:VEVENT block |
Add it to a calendar |
Special characters are escaped the way each format requires. Email
subjects and bodies are percent-encoded as RFC 6068 describes, so a space
becomes %20 and a line break %0D%0A. In contact and event text, a
backslash, comma or semicolon gets a backslash in front of it and a line
break becomes \n (RFC 2426 for vCard, RFC 5545 for iCalendar). The
Text inside the QR code box shows the exact result. To share a
Wi-Fi network, use the Wi-Fi QR code generator,
which also prints a card for guests.
For an event, pick the time zone where it takes place. The start and end are converted to UTC, so a phone in any time zone shows the right local time. Floating keeps the clock time as typed, for things like “take your medicine at 8:00” wherever you are.
Static codes never expire
Everything is stored in the code itself. There is no short link or redirect service in between, so the code works for as long as the website or details inside it do, with no account, scan limit or subscription. The other side of that: a printed code cannot be changed. If an address might change, point the code at a page you control and update that page instead.
Error correction, margin and size
QR codes carry recovery data, so a code still scans when part of it is dirty, scratched or covered.
| Level | Recovers about | Good for |
|---|---|---|
| L | 7% | Screens, smallest pattern |
| M | 15% | Most uses (default) |
| Q | 25% | Prints that get handled |
| H | 30% | Codes with a logo |
A logo covers part of the pattern, so adding one switches to level H, and the logo is limited to a quarter of the code’s width. Keep the plain border around the code, called the quiet zone. The QR standard, ISO/IEC 18004, asks for at least 4 modules (the small squares).
Longer content means more, smaller modules. A common rule of thumb is to print a code at least 2 cm (about 0.8 in) wide and roughly one tenth of the distance people will scan it from, so a poster read from 3 m needs a code about 30 cm wide.
Colours and contrast
Scanners look for dark modules on a light background. The contrast figure is the difference in brightness (relative luminance) between your two colours, where black on white is 100%. It approximates the symbol contrast that the print-quality standard ISO/IEC 15415 grades: 70% or more earns grade A, 40% is only a C, and under 20% fails. Aim for 70% or more. Light modules on a dark background are allowed by the QR standard, but not every scanner app reads them.
Frequently asked questions
Do these QR codes expire?
No. They are static codes, so the link or text is stored in the code itself and nothing sits in between that could be switched off. A code keeps working for as long as the website or details inside it are valid.
Is anything I type or my logo uploaded?
No. The code is generated by JavaScript in your browser. Your text, contact details and logo image are never uploaded or saved, and they are gone when you close the tab.
Can I change where a printed QR code points?
Not with a static code, because the address is part of the pattern. Make the code point to a page on your own website, and change that page, or redirect it, whenever you need to.
Why does my QR code with a logo not scan?
The logo hides part of the pattern. Keep it small, keep error correction at H (the tool does this for you), use dark modules on a light background, and leave the quiet zone around the code. Always test the final file with more than one phone.
What size should I print a QR code?
At least 2 cm (0.8 in) wide for something scanned up close, such as a business card. For signs, make the code roughly one tenth as wide as the scanning distance. Download the SVG for print so it stays sharp at any size.